@font-face {
  font-family: "Mintlify Sans";
  src: url("https://www.mintlify.com/_next/static/media/797e433ab948586e-s.p.dbea232f.woff2")
    format("woff2");
  font-weight: 400 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Inter Variable";
  src: url("https://www.mintlify.com/_next/static/media/InterVariable-s.p.494bb210.ttf")
    format("truetype");
  font-weight: 100 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Geist Mono";
  src: url("/fonts/GeistMono-Regular.ttf") format("ttf");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

:root {
  --color-background-main: #fff;
  --color-background-invert: #08090a;
  --color-text-main: #fff;
  --color-text-invert: #08090a;
  --color-text-soft: rgba(8, 9, 10, 0.8);
  --color-text-sub: rgba(8, 9, 10, 0.6);
  --color-muted: rgba(8, 9, 10, 0.5);
  --color-border-sub: rgba(8, 9, 10, 0.07);
  --color-background-soft: rgba(8, 9, 10, 0.03);
  --color-border-surface: rgba(8, 9, 10, 0.05);
  --color-border-soft: rgba(8, 9, 10, 0.15);
  --color-brand: #0c8c5e;
  --color-brand-light: #0c8c5e;
  --color-border-solid: #08090a;
  --color-muted-invert: rgba(255, 255, 255, 0.5);
  --twoslash-border-color: #dbdfde;
  --twoslash-underline-color: currentColor;
  --twoslash-popup-bg: #f3f7f6;
  --twoslash-popup-color: inherit;
  --twoslash-popup-shadow: rgba(0, 0, 0, 0.08) 0px 1px 4px;
  --twoslash-code-font: inherit;
  --twoslash-code-font-size: 1em;
  --twoslash-matched-color: inherit;
  --twoslash-highlighted-border: rgba(195, 125, 13, 0.314);
  --twoslash-highlighted-bg: rgba(195, 125, 13, 0.125);
  --twoslash-unmatched-color: #888;
  --twoslash-cursor-color: rgba(136, 136, 136, 0.533);
  --twoslash-error-color: #d45656;
  --twoslash-error-bg: rgba(212, 86, 86, 0.125);
  --twoslash-warn-color: #c37d0d;
  --twoslash-warn-bg: rgba(195, 125, 13, 0.125);
  --twoslash-tag-color: #3772cf;
  --twoslash-tag-bg: rgba(55, 114, 207, 0.125);
  --twoslash-tag-warn-color: var(--twoslash-warn-color);
  --twoslash-tag-warn-bg: var(--twoslash-warn-bg);
  --twoslash-tag-annotate-color: #1ba673;
  --twoslash-tag-annotate-bg: rgba(27, 166, 115, 0.125);
  --twoslash-text-size: 0.8rem;
  --twoslash-docs-tag-style: italic;
  --color-red-600: #e40014;
  --color-gray-100: #f3f4f6;
  --color-gray-200: #e5e7eb;
  --color-gray-600: #4a5565;
  --color-gray-800: #1e2939;
  --color-black: #000;
  --color-white: #fff;
  --spacing: 0.25rem;
  --container-xl: 36rem;
  --container-3xl: 48rem;
  --container-4xl: 56rem;
  --container-5xl: 64rem;
  --text-xs: 0.75rem;
  --text-xs--line-height: calc(1 / 0.75);
  --text-sm: 0.875rem;
  --text-sm--line-height: calc(1.25 / 0.875);
  --text-base: 1rem;
  --text-base--line-height: calc(1.5 / 1);
  --text-lg: 1.125rem;
  --text-xl: 1.25rem;
  --text-xl--line-height: calc(1.75 / 1.25);
  --text-2xl: 1.5rem;
  --text-2xl--line-height: calc(2 / 1.5);
  --font-weight-normal: 400;
  --font-weight-medium: 500;
  --font-weight-semibold: 600;
  --tracking-widest: 0.1em;
  --radius-sm: 0.25rem;
  --radius-md: 0.375rem;
  --radius-lg: 0.5rem;
  --radius-xl: 0.75rem;
  --radius-2xl: 1rem;
  --radius-3xl: 1.5rem;
  --radius-4xl: 2rem;
  --ease-out: cubic-bezier(0, 0, 0.2, 1);
  --ease-in-out: cubic-bezier(0.4, 0, 0.2, 1);
  --animate-spin: spin 1s linear infinite;
  --blur-md: 12px;
  --blur-lg: 16px;
  --default-transition-duration: 0.15s;
  --default-transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  --default-font-family: var(--font-inter);
  --default-mono-font-family: var(--font-geist-mono);
  --color-background-main: var(--color-background-main);
  --color-text-main: var(--color-text-main);
  --color-text-soft: var(--color-text-soft);
  --color-text-sub: var(--color-text-sub);
  --color-border-sub: var(--color-border-sub);
  --color-background-soft: var(--color-background-soft);
  --color-border-surface: var(--color-border-surface);
  --color-muted: var(--color-muted);
  --color-border-soft: var(--color-border-soft);
  --color-brand: var(--color-brand);
  --color-background-invert: var(--color-text-main);
  --color-text-invert: var(--color-background-main);
  --color-border-solid: var(--color-border-solid);
  --color-muted-invert: var(--color-muted-invert);
  --mask-right: black 100%;
  --mask-left: black 0px;
  --font-geist-mono: "Geist Mono", "Geist Mono Fallback", monospace;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  border: 0 solid;
  margin: 0;
  padding: 0;
}

/* html{
  filter: invert(1);
} */

body {
  overflow-x: hidden;
  font-family:
    "Inter Variable",
    system-ui,
    -apple-system,
    sans-serif;
}
